/* 
 * File:   main.c
 * Author: luisBPS
 *
 * Created on 10 de enero de 2016, 12:15 a.m.
 * Modificado on 28 de agosto de 2016, 12:15 a.m.
 */

#include <stdio.h>
#include <stdlib.h>
#include "includes.h"

// COnfig WORD

//__CONFIG(FOSC_XT & WDTE_OFF & PWRTE_ON & MCLRE_ON & BOREN_ON & LVP_OFF & CPD_OFF & CP_OFF);
__CONFIG(FOSC_INTOSCIO & WDTE_ON & PWRTE_ON & MCLRE_ON & BOREN_ON & LVP_OFF & CPD_OFF & CP_OFF);

#define MIN 60
#define HORA 3600
#define OP1 6
#define OP2 8
#define OP3 10
#define OP4 12
#define OP5 15
#define OP6 18
#define INP 1
#define OUP 0
#define LOW 0
#define UP 1
void main()
{
    //Anulando LCD
    //    InitLCD();
    InitI2C();
    CMCON = 0x07;
    TRISA2=INP;
    TRISA0=OUP;
    TRISA1=OUP;
    //Anulando LCD
    TRISB1 = INP;
    TRISB2 = INP;
    TRISB3 = INP;
    TRISB4 = INP;
    TRISB5 = INP;
    TRISB6 = INP;
//    if(RA2==0){
        //Set initial time
        //Set_DS1307_RTC_Time(TwentyFourHoursMode, 23, 59, 48);
        Set_DS1307_RTC_Time(TwentyFourHoursMode, 00, 56, 00);
        //Set initial date
        Set_DS1307_RTC_Date(10,1, 16, Monday);
//    }
    int vol_amb = 9;
    //int vol_amb = 1;
    int caudal = 240;
    //int caudal = 1200;   
    int ren_hor = 12;
    //int ren_hor = 600;
    int t_on = (vol_amb*3600)/caudal; // = 135 seconds
    
    if( RB1 == LOW ){
        ren_hor = OP1;
    }
    if( RB2 == LOW ){
        ren_hor = OP2;
    }
    if( RB3 == LOW ){
        ren_hor = OP3;
    }
    if( RB4 == LOW ){
        ren_hor = OP4;
    }
    if( RB5 == LOW ){
        ren_hor = OP5;
    }
    if( RB6 == LOW ){
        ren_hor = OP6;
    }
        
    int t_total = (3600/ren_hor); // = 300 seconds 
    int t_off = t_total - t_on; //  = seconds 165 
    
    unsigned char b = 1;
    unsigned int counter = 0;
    unsigned int aux = 0;
   
    while(1)
    {
        unsigned int sec = Get_Sec_Time();
        unsigned int min = Get_Min_Time();
        unsigned int totalsec = (min * 60) + sec;
        //DisplayDateTimeToLCD(sec);    
        if(b == 1){
            aux = totalsec;
            b = 0;            
        }
        counter = (totalsec - aux);
        if( counter < t_total ){
            if(counter < t_on){
                RA0 = 0;
                RA1 = 0;

            }else {
                RA0 = 1;
                RA1 = 1;
            }            
        }else{
            b = 1;
        }
        // Display RTC time in first line of LCD
        //WriteStringToLCD(sec);
      //  DisplayTimeToLCD(Get_DS1307_RTC_Time());
        //WriteDataToLCD(SecondsFromRTC(Get_DS1307_RTC_Time()));
        // Display RTC date in second line of LCD
      //  DisplayDateOnLCD(Get_DS1307_RTC_Date());
        __delay_ms(200);    
    }
}